#include <stdio.h>
#include <propeller.h>     

// the STATIC HUB mailbox for communication to PASM routine 
// a pointer to this gets passed to the PASM code as the PAR register
static unsigned int value; 						

int start(unsigned int *value)
{
    // The label binary_sigma_delta_dat_start is automatically placed
    // on the cog code from sigme_delta.dat by objcopy (see the Makefile).
    extern unsigned int binary_sigma_delta_dat_start[];
    
    return cognew(&binary_sigma_delta_dat_start, value);
}

void main (int argc,  char* argv[])
{
	// start a new COG passing a pointer to the STATIC mailbox structure
    printf ("New COG# %d started.\n",start(&value)); 	

    while(1)
      printf("%d \n",value);            							
}	  